import 'package:json2dart_safe/json2dart.dart';

class FileUrls {
  int? imgId;
  String? url;
  int? step;

  @override
  String toString(){
    return 'FilrUrls{imgId: $imgId,url: $url,step: $step}';
  }

  FileUrls({
    this.imgId,
    this.url,
    this.step,
  });

  Map<String, dynamic> toJson() {
    return Map<String, dynamic>()
      ..put('imgId', this.imgId)
      ..put('url', this.url)
      ..put('step', this.step);
  }

  FileUrls.fromJson(Map<String, dynamic> json) {
    if (null != json['imgId']) {
      this.imgId = json.asInt('imgId');
    }
    if (null != json['url']) {
      this.url = json.asString('url');
    }
    if (null != json['step']) {
      this.step = json.asInt('step');
    }
  }
}
